<?xml version="1.0" encoding="UTF-8"?>
<project xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd" 
  xmlns="http://maven.apache.org/POM/4.0.0"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <modelVersion>4.0.0</modelVersion>
  
  <parent>
    <groupId>org.polarsys.esf</groupId>
    <artifactId>esf-infra.releng</artifactId>
    <version>0.7.0-SNAPSHOT</version>
  </parent>

  <groupId>org.polarsys.esf</groupId>
  <artifactId>esf</artifactId>
  <packaging>eclipse-repository</packaging> 
    
  <build>
  
    <!-- Resources configuration to filter the plugin.properties with the Hudson 
      variable -->
    <resources>
      <resource>
        <directory>.</directory>
        <filtering>true</filtering>
        <excludes>
          <exclude>*.launch</exclude>
        </excludes>
      </resource>
    </resources>
        
    <plugins>

      <!-- Avoid materialisation like zip of p2 artifact repository -->
      <plugin>
        <groupId>org.eclipse.tycho</groupId>
        <artifactId>tycho-p2-repository-plugin</artifactId>
        <version>${tycho-version}</version>
        <configuration>
          <createArtifactRepository>false</createArtifactRepository>
        </configuration>
      </plugin>
      
      <plugin>
        <groupId>org.eclipse.tycho</groupId>
        <artifactId>tycho-p2-director-plugin</artifactId>
        <version>${tycho-version}</version>
        <executions>
          <execution>
            <!-- (optional) install the product for all configured os/ws/arch environments
            using p2 director -->
            <id>materialize-products</id>
            <goals>
              <goal>materialize-products</goal>
            </goals>
          </execution>
          <execution>
           <!-- (optional) create product zips (one per os/ws/arch) -->
            <id>archive-products</id>
            <goals>
              <goal>archive-products</goal>
            </goals>
          </execution>
        </executions>
      </plugin>

    </plugins>
  </build>
  
</project>